Subject: bug#18268:

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 23 Feb 2016 23:21:43 +1100

Carlos Pita <[email-masked]> writes:

> The following is a simpler and more correct patch that also lets the
> user (final user or major mode developer) control whether the submenus
> are sorted or kept on top. The guiding idea is that there is two major
> ways to offer an imenu, according to the mode:
>
> 1) Some modes show a hierarchy of language objects. For example:
> python-mode will show class/method, function/nested function, etc.
> relationships; org-mode will show section/subsection/subsubsection/...
> hierarchies. In these cases keeping the submenus on top is not
> adequate since it creates an artificial split of the list.
>
> 2) Some modes show top level submenus with fixed categories
> (Functions, Classes, Variables, etc). These modes will presumably want
> to keep the submenus on top and sorted in the order they were given.
>
> 3) Other modes would not fit either (1) or (2). Then, there is always
> the possibility of turning off sorting and provide the menu structure
> as is.
>
> Regards
> --
> Carlos
>
> 156a157,161
>> (defcustom imenu-sort-submenus nil
>>   "Non-nil means Imenu should sort submenus also (using imenu-sort-function)."
>>   :type 'boolean
>>   :group 'imenu)

Could you resubmit this as a context patch instead of a "raw" patch?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no